ncurses-5.4-r8-Packte Fehler

  • Hi


    Ich habe ein kleines Problem beim bauen eines Enigma1 CVS Images..
    Vorher klappte alles normal, aber seitdem ich gestern meine Linux Rechner neu gemacht habe bekomme bei der Image Erstellung immer eine Fehlermeldung beim "ncurse" Packet...
    währe für jede Hilfe dankbar..


    dieses ist der Log aus den Terminal:

    Code
    NOTE: package ncurses-5.4: started
    NOTE: package ncurses-5.4-r8: task do_install: started
    ERROR: function do_install failed
    ERROR: see log in /home/akira86/dreambox_7020/build/tmp/work/ncurses-5.4-r8/temp/log.do_install.6405
    NOTE: Task failed: /home/akira86/dreambox_7020/build/tmp/work/ncurses-5.4-r8/temp/log.do_install.6405
    NOTE: package ncurses-5.4-r8: task do_install: failed
    ERROR: TaskFailed event exception, aborting
    NOTE: package ncurses-5.4: failed
    ERROR: Build of dreambox-image failed
    make: *** [image] Fehler 1


    und dieses ist der Besagte Fehler in der Log Datei:

  • Broken build enviroment.
    If You use 64bit system, take a look into /build/env.source:
    instead of

    Code
    export LD_LIBRARY_PATH=


    use

    Code
    export LD_LIBRARY_PATH=${OE_BASE}/build/tmp/staging/x86_64-linux/lib
  • Take a short look .: HERE :.

  • EDIT:


    You must to have tic present into distro ( tic should be part of ncurses-native )
    But anyway, the solution is to set the LD_LIBRARY_PATH variable in the setup-env file to include the directory containing the libncurses*.so.* shared libraries.


    Hope that help.
    Cheers

  • Thank you for your help..
    i will test this in the evening..
    i think i have forget to install one package

  • habe auch so ein Fehler. Arbeite mit Kubuntu 8.04 32bit. das Logfile was erstellt worden sein soll unter den Angezeigten Pfad finde ich nicht, es nicht vorhanden


    old_revision [1eb23b401462a08c1a337193cdc6486f791201cf]"
    TARGET_ARCH = "powerpc"
    TARGET_OS = "linux"
    MACHINE = "dm7020"
    DISTRO = "opendreambox"
    DISTRO_VERSION = "1.5.0"
    TARGET_FPU = "soft"


    NOTE: package ncurses-5.4: started
    NOTE: package ncurses-5.4-r8: task do_install: started
    ERROR: function do_install failed
    ERROR: see log in /home/befaro2063/Desktop/7020/build/tmp/work/ncurses-5.4-r8/temp/log.do_install.9546
    NOTE: Task failed: /home/befaro2063/Desktop/7020/build/tmp/work/ncurses-5.4-r8/temp/log.do_install.9546
    NOTE: package ncurses-5.4-r8: task do_install: failed
    ERROR: TaskFailed event exception, aborting
    NOTE: package ncurses-5.4: failed
    ERROR: Build of dreambox-image failed
    make: *** [image] Fehler 1

  • hab die letzen tage nochmal etwas weiter Probiert..
    unter ubuntu 7.10 läuft alles einwandfrei, bei gleichen Packten installiert usw.
    Update ich aber wieder auf 8.04 ist wieder der Fehler da...
    evtl. hilft es etwas, weiter bin ich aber auch noch nicht

  • wenn ich Schaedelmeisters Toolchecker benutze, sagt er mir das ich gunzip nicht installiert habe, wenn ich es installieren will sagt mir kubuntu das es schon installiert ist.


    cvs: 1.12.13
    autoconf >= 2.57a: 2.61
    automake >= 1.8: 1.10.1
    libtool >= 1.4.2: 1.5.26
    gettext >= 0.12.1: 0.17
    make >= 3.79: 3.81
    makeinfo: 4.11
    tar: 1.19
    bunzip2: 1.0.4
    gunzip:
    patch: 2.5.9
    infocmp: 5.6.20071124
    gcc 2.95 or >= 3.0: 4.2.3
    g++ 2.95 or >= 3.0: 4.2.3
    flex: 2.5.34
    bison: 2.3
    pkg-config: 0.22
    wget: 1.10.2


  • Für diese Problem sollte genau das die Lösung sein :


    diese Zeile in der /build/env.source ändern

    Code
    export LD_LIBRARY_PATH=


    in

    Code
    export LD_LIBRARY_PATH=${OE_BASE}/build/tmp/staging/i686-linux/lib



    Gruß Bughunter


  • Hab nochmal von vorn angefangen und die änderung im Makefile gemacht, Leider hat dies nichts gebracht, gleicher Fehler

  • Quote

    Original von befaro2063
    Hab nochmal von vorn angefangen und die änderung im Makefile gemacht, Leider hat dies nichts gebracht, gleicher Fehler


    Im Makefile ? Wo hast du die Änderung genau gemacht ? Im Makefile wäre es verkehrt !


    Hier ist die Änderung zu machen :


    Quote

    /home/befaro2063/Desktop/7020/build/env.source


    Gruß Bughunter

  • auch noch ein Dank von mir..
    das war auch der Fehler bei mir....
    Endlich kann man wieder Images bauen mit neuen Ubuntu :)